Appearance
Estimating API Reference
Complete API reference for Estimating operations.
Related: API Guide | All Resources
Estimating
Return Contacts
POST
/Estimating/Contacts
Return Contacts
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Request Body
JSON
{
}
Responses
OK
JSON
{
"Contacts": [
{
"Company": {
"City": "string",
"Notes": "string",
"Url": "string",
"EmailAddress": "string",
"Fax": "string",
"Phone": "string",
"PostalCode": "string",
"State": "string",
"ContactRoles": [
"string"
],
"Address2": "string",
"Address1": "string",
"Name": "string",
"People": [
{
"Notes": "string",
"EmailAddress": "string",
"CellPhone": "string",
"Fax": "string",
"Phone": "string",
"PostalCode": "string",
"State": "string",
"City": "string",
"Address2": "string",
"FirstName": "string",
"Address1": "string"
}
]
},
"ContactRole": {
"Name": "string",
"IsSystemRole": true,
"IsEmployeeRole": true
}
}
],
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/Estimating/Contacts
Returns list of User 1 records associated with the company
POST
/Estimating/User1s
Returns list of User 1 records associated with the company
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Responses
OK
JSON
{
"Data": [
{
"Code": "string",
"Description": "string",
"IsLocked": true,
"User1Id": "00000000-0000-0000-0000-000000000000",
"Active": true
}
],
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/Estimating/User1s
Return the list of user 2 record associated with the ocmpany
POST
/Estimating/User2s
Return the list of user 2 record associated with the ocmpany
Authorizations
apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)
Parameters
Header Parameters
Authorization
access token
Type
string
Responses
OK
JSON
{
"Data": [
{
"Code": "string",
"Description": "string",
"IsLocked": true,
"User2Id": "00000000-0000-0000-0000-000000000000",
"Active": true
}
],
"ServerName": "string",
"TenantId": "00000000-0000-0000-0000-000000000000",
"UserId": "00000000-0000-0000-0000-000000000000",
"ProcessingTime": 0,
"HasError": true,
"ErrorMessage": "string",
"StackTrace": "string",
"RequestKey": "string"
}
POST
/Estimating/User2s
